
!"Pocket Smalltalk fileout - Mittwoch, 31. Oktober 2001-17:13:50"!


Object subclass: #Preferences
	instanceVariableNames: 'hide sprache'
	classVariableNames: ''!

!Preferences methodsFor: 'uncategorized'!

open
	| ref type name |
	type := 'DATA'.
	name := 'CH-FlaggeDB'.
	ref := Database open: name mode: ##dmModeReadWrite.

	(ref isNil) ifTrue: [
		Database createDatabaseNamed: name creatorID: ##creatorID type: type isResourceDB: false.
		^(self open).	
	].
	^ref.
	
!

write
	| db |
	db := self open.
	(db recordCount) = 1 ifTrue: [ db removeRecord: 0. ].

	db appendRecord: (ByteArray with: hide with: sprache).
	db close.
! !


!Preferences methodsFor: 'initialization'!

initialize
	| rec db |
	db := self open.
	rec := (db recordAsBytes: 0).
	
	(rec isNil) ifFalse: [hide := rec at: 1.
		sprache := rec at: 2]
	ifTrue: [hide := 1. sprache := 1 ].
	db close.
	self write.! !


!Preferences methodsFor: 'accessing'!

setSprache: int
	sprache := int.!

getSprache
	^sprache.!

setHidden: boolean
	boolean ifTrue: [ hide := 1. ]
	ifFalse: [ hide := 0. ].!

getHidden
	(hide = 0) ifTrue: [ ^true. ]
	ifFalse: [ ^false. ].! !


!Preferences class methodsFor: 'instance creation'!

new
	^self basicNew initialize.! !


